%define api		0.2
%define major		0
%define libname		%mklibname manette %{api} %{major}
%define girmanettename	%mklibname manette-gir %{api}
%define develname	%mklibname manette -d

%define url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		libmanette
Version:	0.2.6
Release:	%mkrel 1
Summary:	A simple GObject game controller library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://gitlab.gnome.org/aplazas/libmanette/
Source0:	https://download.gnome.org/sources/libmanette/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	gcc
BuildRequires:	meson
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libevdev)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
libmanette allows easy access to game controllers.

#------------------------------------------------

%package -n	%{libname}
Summary:	A simple GObject game controller library
Group:		System/Libraries

%description -n	%{libname}
libmanette allows easy access to game controllers.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	manette-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files -n %{libname}
%{_libdir}/libmanette-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Manette-%{api}.typelib

%files -n %{develname}
%{_bindir}/manette-test
%{_includedir}/libmanette/
%{_libdir}/libmanette-%{api}.so
%{_libdir}/pkgconfig/manette-%{api}.pc
%{_datadir}/gir-1.0/Manette-%{api}.gir
%{_datadir}/vala/vapi/manette-%{api}.deps
%{_datadir}/vala/vapi/manette-%{api}.vapi


%changelog
* Tue Feb 28 2023 tex - 0.2.6-1pclos2023
- create pkg
